{% extends 'base.html.twig' %}

{% block title %}Mon profil{% endblock %}

{% block body %}

    {# navbar start #}
    <nav class="navbar navbar-expand-lg nav-bar navbar-dark pt-4">
        <a class="text-white" href="{{ path('home') }}"><h5 class="text-uppercase">Sondage<span class="navbar-logo"><br> créateur</span></h5></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNavAltMarkup">
            <div class="navbar-nav">
                <a class="nav-link text-white h5" href="{{ path('app_logout') }}">Se déconnecter</a>
                <a class="nav-link text-white h5" href="{{ path('home') }}">Accueil</a>
            </div>
        </div>
    </nav>
    {# navbar end #}

    {# profil start #}
    <div class="container-profil">
        {# img de profil start#}
        {% if app.user.logoFileName != null %}
        <img class="card-img-top" src="{{ vich_uploader_asset(app.user, 'logoFile') }}" alt="Image du profil">
        {% else %}
            <div>
                <p class="pt-4">Pas de photo du profil</p>
            </div>
        {% endif %}
        {# img de profil end#}
        <div class="p-profil mb-4">
            <h3>{{ app.user.nickname }}</h3>
            <h5>{{ app.user.email }}</h5>
        </div>
        <a class="text-white btn-profil mb-4" href="{{ path('question') }}">Créer un sondage</a>
    </div>
    {# profil end #}

        <div class="d-flex justify-content-around mt-4 container">
            {# Je récupère la question de l'utilisateur connecté,
                app.user est un utilisateur connecté #}
            <div class="row justify-content-center">
                {% for ownedQuestion in app.user.questions %}
                    <div data-id="{{ ownedQuestion.id }}" class="card card-poll mb-3 ml-3 mr-3 text-center mt-4" style="width: 18rem;">
                        <h5 class="card-title mt-4">Question : {{ ownedQuestion.name }}</h5>
                        {% for reponse in ownedQuestion.reponses %}
                            {# Je mes la boucle dans la boucle pour récupérer les réponses
                        de l'utilisateur connecté #}
                            <span class="card-text">Réponse : {{ reponse.name }} </span>
                            <p>Vote : {{ reponse.getVotes() | length }}</p>
                        {% endfor %}
                        <button class="mb-4 btn-profil" data-id="{{ ownedQuestion.id }}" id="remove-sondage" onclick="removeSondage({{ ownedQuestion.id }})">Supprimer</button>
                    </div>
                {% endfor %}
            </div>
        </div>

{% endblock %}

{% block javascripts %}
    <script>
        function removeSondage(id) {
            const card = document.querySelector(`.card[data-id="${id}"]`);
            card.remove();
            fetch("/question_delete/" + id, {
                method: "DELETE",
                body: JSON.stringify({
                    question: id,
                })
            })
        }

// progress bar
        const bars = Array.from(document.querySelectorAll(".progress-bar"));
        for (const progress of bars) {
            const vote = parseInt(progress.getAttribute("data-vote"));
            const percent = computeEntryPercent(bars, vote);
            progress.style.width = percent + "%";
            progress.innerText = percent + "%";
        }

        function computeEntryPercent(reponses, vote) {
            const sum = reponses
                .map(a => parseInt(a.getAttribute("data-vote")))
                .reduce((a, b) => a + b, 0);
            const percent = (vote / sum) * 100;
            return Math.round(percent * 100) / 100;
        }
    </script>
{% endblock %}

{% block stylesheets %}
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: Tahoma, serif;
            background-image: url( {{ asset('asset/photo/black.jpg') }} );
            -webkit-background-size: cover;
            background-size: cover;
        }

        .btn-profil {
            border-radius: 28px;
            font-size: 13px;
            text-transform: uppercase;
            margin: 0 6px;
            padding: 12px 46px 12px 46px;
            transition: all 0.4s;
            background-color: #f4c613;
            color: white;
        }


/*carte de profil*/

.container-profil {
    width: 280px;
    height: 270px;
    background-color: #FFFFFF;
    margin: 100px auto 0 auto;
    text-align: center;
}

.container-profil img {
    width: 120px;
    height: 120px;
    margin: -60px 0 30px 0;
    border: 5px solid #f4c613;
    border-radius: 50%;
}


.navbar-logo {
    color: #f4c613;
}
.navbar-logo a {
    cursor: pointer;
}

.navbar-logo a:hover {
    text-decoration: none;
}
    </style>
{% endblock %}
